ISCacheMM
Date: 2014-11-12

org.gcube.informationsystem.cache

## Class ISCacheMM

- java.lang.Object
- - org.gcube.informationsystem.cache.ISCacheMM

-     public class ISCacheMM
      extends java.lang.Object

  Class that initiates the JMX server and provides access to the MBean (un)registration operations.
  Author:
    UoA

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISCacheMM()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `init()` JMX initialization method.
    `static void` | `registerISMBean(java.lang.String name, java.lang.Object beanObj)` MBean registration operation.
    `static void` | `unregisterISMBean(java.lang.String name)` MBean unregistration operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ISCacheMM

          public ISCacheMM()

  - ### Method Detail

    - #### registerISMBean

          public static void registerISMBean(java.lang.String name,
                             java.lang.Object beanObj)
                                      throws javax.management.InstanceAlreadyExistsException,
                                             javax.management.MBeanRegistrationException,
                                             javax.management.NotCompliantMBeanException,
                                             javax.management.MalformedObjectNameException

      MBean registration operation.
      Parameters:
        `name` - object name string
        `beanObj` - MBean object that needs to be registered
      Throws:
        `javax.management.InstanceAlreadyExistsException` - self-explanatory
        `javax.management.MBeanRegistrationException` - self-explanatory
        `javax.management.NotCompliantMBeanException` - self-explanatory
        `javax.management.MalformedObjectNameException` - self-explanatory

    - #### unregisterISMBean

          public static void unregisterISMBean(java.lang.String name)
                                        throws javax.management.InstanceAlreadyExistsException,
                                               javax.management.MBeanRegistrationException,
                                               javax.management.NotCompliantMBeanException,
                                               javax.management.MalformedObjectNameException,
                                               javax.management.InstanceNotFoundException

      MBean unregistration operation
      Parameters:
        `name` - object name string
      Throws:
        `javax.management.InstanceAlreadyExistsException` - self-explanatory
        `javax.management.MBeanRegistrationException` - self-explanatory
        `javax.management.NotCompliantMBeanException` - self-explanatory
        `javax.management.MalformedObjectNameException` - self-explanatory
        `javax.management.InstanceNotFoundException` - self-explanatory

    - #### init

          public static void init()

      JMX initialization method. It can be called many times but only operates on the first invocation.